Subject: regproc

From: [email-masked] (Margret Gross-Hardt)
Date: Mon, 13 Mar 1995 10:05:11 +0000

Hi everyone,

I have problems in finding descriptions about how to use 
(*syntactically* and semantically) the datatype 'regproc'; 
though I looked (as I think) at the complete documentation 
coming around with postgres. 

Can anyone tell me, where I can find relevant
information and especially, I would appreciate, if someone can give
me one or two  examples for using parameterized and variable
procedures. 

As an example for occurring problems, look at: 
___________________________________________________________

monitor mydb
Welcome to the C POSTGRES terminal monitor

Go 
* create test1 (nr = int4) \g

Query sent to backend is "create test1 (nr = int4) "
CREATE
Go 
* create test2 (p = regproc) \g

Query sent to backend is "create test2 (p = regproc) "
CREATE
Go 
* append test1 (nr = 100) \g

Query sent to backend is "append test1 (nr = 100) "
APPEND 129688
Go 
* append test2 (p = "retrieve (test1.nr) where test1.nr = 100") \g

Query sent to backend is "append test2 (p = "retrieve (test1.nr) where test1.nr = 100") "
Error: No response from the backend, exiting...
_______________________________________________________________________________

(Working environment: sparc under SUNOS.)

Thanx in advance,

Margret Gross-Hardt

+-----------------------------------------------------------------------+
| Margret Gross-Hardt           	| email: [email-masked]  |    
| Universitaet Muenster         	| 				|
| Institut fuer Wirtschaftsinformatik   | Tel.: +49-251/9275-108	|	
| Grevenerstr.  91             		| Fax.: +49-251/839754		|
|					|				|
| D-48159 Muenster             		|				|
+-----------------------------------------------------------------------+

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]".
   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================
              URL: http://s2k-ftp.CS.Berkeley.EDU:8000/postgres/